<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipts</title>
</head>

<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                <li>
                    Hello, {{ user.username }}!
                </li>
                <li>
                    <a href="{% url 'list_categories' %}">Expense Categories</a>
                </li>
                <li>
                    <a href="{% url 'create_category' %}">Create Categories</a>
                </li>
                <li>
                    <a href="{% url 'list_accounts' %}"> Accounts </a>
                </li>
                <li>
                    <a href="{% url 'logout' %}">Logout</a>
                </li>
                {% else %}
                <li>
                    <a href="{% url 'signup' %}">Sign Up</a>
                </li>
                <li>
                    <a href="{% url 'login' %}">Login</a>
                </li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        {% block main %}
        {% endblock main %}
    </main>
</body>

</html>
